<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Playing with stars</title>

    <script src="Resources/jquery-3.2.1.js"></script>
    <script src="Resources/bootstrap-3.3.7-dist/js/bootstrap.min.js"></script>


</head>


<body>
<pre>
<script>


    var line,star;
    var N=3;

//    task 1:
//    *
//    **
//    ***
    for(line=1; line<=N; line++) {
        for (star=1; star<=line; star++) {
            document.write("*");
        }
       document.write("<br>");
    }

    document.write("<br>");
    document.write("<hr>");


    //        task 2:
    //        ***
    //        **
    //        *
    for(line=N ;line>=1 ;line--){
        for(star=line;star>=1;star--){
            document.write("*");
        }
        document.write("<br>");
    }

    document.write("<br>");
    document.write("<hr>");


    //    task 3:
    //      *
    //     **
    //    ***

    var i;
    N=3;

    function printSpaces(howMany) {
        for(i=1;i<=howMany;i++)
            document.write("&nbsp");
    }

    function printStars(howMany) {
        for(i=1;i<=howMany;i++)
            document.write("*");
    }

    for(line=1; line<=N;line++) {
        printSpaces(N-line);
        printStars(line);

        document.write("<br>");


    }
    document.write("<br>");
    document.write("<hr>");


    for(line=1; line<=N;line++) {
            printSpaces(line-1);
            printStars(N-line+1);

        document.write("<br>");


    }
        document.write("<br>");

    document.write("<br>");



</script>
    </pre>
</body>
</html>